Initializing help system before first use

# Configuring FICO® Xpress Insight for Tableau

By default, Xpress Insight is not integrated with Tableau. The following steps outline the process to configure integration with Tableau.
These steps assume that the following prerequisites have been completed:

- The Xpress Insight server has been installed
- A Tableau server has been installed, and the steps in Configuring Tableau for Xpress Insight.

To configure Xpress Insight for Tableau, follow these steps:

1. Open the Xpress Insight server configuration file at XpressInsight\Server\config\application.properties.
   This file contains the Tableau, mirror database, and MySQL configuration properties.
2. Review the description of each field and set its value accordingly in the properties file.
   The following table describes the available fields in the Tableau configuration.
3. Save the file and restart Xpress Insight for changes to take effect.

   Configuration property | Description
   --- | ---
   `insight.server.visualization.tableau.url=[URL]` | The URL of the Tableau server. The default port is 80. If Tableau is installed on port 80, specify the server URL (for example, `http://tableau.example.com`). If Tableau is installed on a port other than 80, specify the correct port (for example, `http://tableau.example.com:8080`). This is the same port used for logging into Tableau directly via the web interface. If Xpress Insight and Tableau share a single host and will only be accessed by users who are local to that machine, you can use `localhost` as the hostname. If remote users will access Xpress Insight using their browsers, you must use the server hostname or IP address. If the server is installed on a corporate network that regularly updates the leased IP addresses of all machines on the network, use the server hostname rather than the IP address.
   `insight.server.visualization.tableau.system-user=[username]` | The username of the Tableau account that Xpress Insight should use to integrate with Tableau. This must be an account that has administration or site administration rights within Tableau.
   `insight.server.visualization.tableau.system-password=[password]` | The password of the Tableau account. This should be added as an encrypted property value.
   `insight.server.visualization.tableau.site-id=[site-id]` | The ID of the Tableau site that Xpress Insight should use. This property is optional; if it is not set, Insight uses the default Tableau site. Note: If you are integrating with a shared Tableau server, Xpress Insight should use a dedicated Tableau site to ensure clear separation between Xpress Insight and other applications or users.

   The following advanced integration settings are provided:

   Configuration property | Description
   --- | ---
   `insight.server.visualization.tableau.http-connect-timeout=[time]` | The timeout applied when waiting for a connection to be established to the Tableau server. Default is 10 seconds.
   `insight.server.visualization.tableau.http-read-timeout=[time]` | The timeout applied when waiting for data to be received over the connection from the Tableau server. This is ignored for workbook and datasource publishes. Default is 10 seconds.
   `insight.server.visualization.tableau.mirror.host=[hostname-or-IP-address]` | An alternate host that Tableau uses to communicate with the mirror database. This supports the case where Tableau should access the database using a different hostname to Insight.
   `insight.server.visualization.tableau.mirror.port=[port-number]` | An alternate port number that Tableau uses to communicate with the mirror database. This supports the case where Tableau should access the database using a different port to Insight.

   The mirror schema for an app acts like a short-term cache of scenario data in a format that can be consumed by Tableau. The schema is populated with scenario data on demand when a view makes a request. Tableau query and rendering time will potentially decrease as the volume of scenario data in the mirror schema increases. Therefore, Insight aggressively evicts data based on the configuration properties listed below.

   The default values are expected to be suitable for most systems.

   Configuration property | Description
   --- | ---
   `insight.server.visualization.mirror.eviction-min-time-to-live` | The minimum time the system will persist scenario data before considering it for eviction. Increasing this time may increase the volume of data in the schema and decrease rendering time. Decreasing this may cause the data to be evicted before the user has finished working with it, necessitating a delay whilst the data is reinstated. Default is 30 minutes.
   `insight.server.visualization.mirror.eviction-max-idle-time` | The length of time before the scenario data is automatically evicted from the database. Prior to this duration being exceeded, the scenario data would only be evicted if the maximum total number of scenarios in the mirror has been exceeded and the scenario data minimum time to live has passed. Increasing this time will facilitate users returning to reports after a period away without the penalty of waiting for the system to re-mirror the data. However the total volume of data in the mirror will increase with the risk that Tableau rendering performance decreases. Default is 2 hours.
   `insight.server.visualization.mirror.eviction-target-capacity` | The maximum number of scenarios. This maximum will be exceeded to honor the minimum time to live. When this maximum is exceeded, scenario data older than the time to live is a candidate for eviction to reduce the total scenario number to below this target capacity. Increasing this property will decrease the amount of re-mirroring of the data, and the likely cost of increasing time to render the visualizations. Typically this property should be set conservatively to prioritize query/render time over mirroring overhead. Default is 10.

Parent Topic Integrating with Tableau

© 2001-2026 Fair Isaac Corporation. All rights reserved. This documentation is the property of Fair Isaac Corporation (“FICO”). Receipt or possession of this documentation does not convey rights to disclose, reproduce, make derivative works, use, or allow others to use it except solely for internal evaluation purposes to determine whether to purchase a license to the software described in this documentation, or as otherwise set forth in a written software license agreement between you and FICO (or a FICO affiliate). Use of this documentation and the software described in it must conform strictly to the foregoing permitted uses, and no other use is permitted.